Subject: Nginx HTTP2 syntax and enable QUIC support HTTP3

From: Josep Bigorra <[email-masked]>
Date: Fri, 4 Apr 2025 09:27:31 -0700 (PDT)

Hi all, I really love using Nginx and Guix, it's a match made in heaven. Configuring things via Scheme is a god send. Thanks for your hard work.

Nowadays 95% and more of the browser support HTTP3. The current Guix docs and config don't really encourage this or make it easier.

I was hoping maybe some knowledgeable maintainer could tweak the Nginx package declarations so as to enable HTTP3 and QUIC support by default. This should be an addition of a compilation flag.

I also wondered if we could add a conf field to enable HTTP2 (http2 on; directive) without having to resort to raw-content.

Thanks in advance,
Joe